﻿Imports System.Data.SqlClient

Module Globals
    Public APP_NAME = "Sklad materiálu"

    Public MyFrmHlavni As Form


    Sub ZobrazChildForm(frm As Form)

        frm.MdiParent = MyFrmHlavni
        frm.Dock = DockStyle.Fill
        frm.Show()
    End Sub


    Public Function SpustSQL(strSQL As String) As DataView
        Dim connString As String = My.Settings.csData

        Try
            Dim dtb As New DataSet()
            Using cnn As New SqlConnection(connString)
                cnn.Open()
                Using dad As New SqlDataAdapter(strSQL, cnn)
                    dad.Fill(dtb)
                End Using
                cnn.Close()
            End Using

            If Not dtb Is Nothing Then Return dtb.Tables(0).DefaultView


        Catch ex As System.Data.SqlClient.SqlException
            MsgBox("Nastala chyba spouštění dotazu: " & strSQL & vbNewLine & vbNewLine & ex.ToString())
        End Try
        Return Nothing

    End Function

    Public Sub SpustActionSQL(strSQL As String)

        Dim connString As String = My.Settings.csData


        Try
            Dim cnn As New SqlConnection(connString)
            Dim cmd As SqlCommand = New SqlCommand(strSQL, cnn)
            cnn.Open()
            cmd.ExecuteNonQuery()
            cnn.Close()

        Catch ex As System.Data.SqlClient.SqlException
            MsgBox("Nastala chyba spouštění dotazu: " & strSQL & vbNewLine & vbNewLine & ex.ToString())
        End Try


    End Sub

    Public Function NajdiMaximalniHodnotuVTabulceSQL(tabulka As String, klicovy_sloupec As String) As Integer
        Dim dv As DataView
        Dim strSQL As String

        strSQL = "SELECT MAX(" & klicovy_sloupec & ") as Maximum FROM " & tabulka
        dv = SpustSQL(strSQL)

        If dv Is Nothing OrElse dv.Count = 0 OrElse IsDBNull(dv.Item(0)(0)) Then
            Return 0
        Else
            Return dv.Item(0)(0)

        End If

    End Function

    Public Function NajdiMaximalniHodnotuVTabulce(tabulka As DataTable, klicovy_sloupec As String) As Integer

        If tabulka.Rows.Count = 0 Then Return 0

        Return tabulka.Compute("MAX (" & klicovy_sloupec & ")", "")


    End Function

End Module
